package com.red.circle.console.app.service.app.sys;

import com.red.circle.framework.dto.PageResult;
import com.red.circle.other.inner.model.cmd.sys.SysStartPagePlanCmd;
import com.red.circle.other.inner.model.cmd.sys.SysStartPagePlanQryCmd;
import com.red.circle.other.inner.model.dto.sys.SysStartPagePlanDTO;

/**
 * <p>
 * 启动页展示图片 Mapper 接口.
 * </p>
 *
 * @author pengshigang
 * @since 2021-12-13
 */
public interface SysStartPagePlanService {

  /**
   * 获取举报信息分页列表
   *
   * @param query 条件
   * @return vo
   */
  PageResult<SysStartPagePlanDTO> pageVO(SysStartPagePlanQryCmd query);

  /**
   * 修改
   */
  void update(SysStartPagePlanCmd param);

  /**
   * 新增
   */
  void add(SysStartPagePlanCmd param);


  /**
   * 删除指定启动页
   */
  void delete(Long id);

}
